Last Comment Bug 557520 - Embedded blocks should serve as bidi separators
: Embedded blocks should serve as bidi separators
Status: RESOLVED FIXED
: rtl
Product: Core
Classification: Components
Component: Layout: Text (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
http://www.w3.org/TR/html-bidi/#block...
Depends on: 263359
Blocks: css2.1-tests
  Show dependency treegraph
 
Reported: 2010-04-06 08:20 PDT by Simon Montagu :smontagu
Modified: 2012-01-30 08:46 PST (History)
7 users (show)
smontagu: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Testcase (265 bytes, text/html)
2010-04-06 08:43 PDT, Simon Montagu :smontagu
no flags Details
Reference for testcase (275 bytes, text/html)
2010-04-06 08:44 PDT, Simon Montagu :smontagu
no flags Details

Description Simon Montagu :smontagu 2010-04-06 08:20:39 PDT
See http://www.w3.org/TR/html-bidi/#blocks-as-separators

I believe that our current behaviour of treating all embedded elements in effect as inlines, and replacing them by U+FFFC OBJECT REPLACEMENT CHARACTER for purposes of bidi resolution, was just an oversight.

Note that implementing this will require being able to break a block element into multiple paragraphs for Bidi resolution, which makes it similar to bug 263359.
Comment 1 Simon Montagu :smontagu 2010-04-06 08:43:45 PDT
Created attachment 437306 [details]
Testcase
Comment 2 Simon Montagu :smontagu 2010-04-06 08:44:33 PDT
Created attachment 437307 [details]
Reference for testcase
Comment 3 David Baron :dbaron: ⌚️UTC-7 2010-10-13 22:40:30 PDT
This is also tested in the fourth test of:
http://test.csswg.org/suites/css2.1/20101001/xhtml1/bidi-breaking-001.xht
Comment 4 Simon Montagu :smontagu 2012-01-30 08:46:27 PST
This was fixed by bug 263359, and the testcase is effectively equivalent to layout/reftests/bidi/613157-1.html

http://test.csswg.org/suites/css2.1/20101001/xhtml1/bidi-breaking-001.xht is 404, but we pass http://test.csswg.org/suites/css2.1/20101210/html4/bidi-breaking-001.htm, if that's the same thing.

Note You need to log in before you can comment on or make changes to this bug.